#ifndef TEXTURE_INCLUDED
#define TEXTURE_INCLUDED

#include <GL/gl.h>
#include <string>

class Texture {
	private:
		GLuint texnum;
	public:
		Texture() : texnum(0) { }
		void LoadFromRGB(std::string filename, int width, int height);
		void LoadFromRGBA(std::string filename, int width, int height);
		void Delete();
		~Texture() { Delete(); }
		void Bind() const
		{
			glBindTexture(GL_TEXTURE_2D, texnum);
		}
		
};

#endif //TEXTURE_INCLUDED

